Skip to main content
GET
/
ledger-accounts
/
{account_id}
Get Ledger Account
curl --request GET \
  --url https://api.atlas.co/functions/v1/ledger-accounts/{account_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "account_number": "<string>",
  "name": "<string>",
  "description": "<string>",
  "account_type": "asset",
  "normal_balance": "<string>",
  "status": "active",
  "currency": "<string>",
  "balance": 123,
  "available_balance": 123,
  "pending_balance": 123,
  "balance_updated_at": "2023-11-07T05:31:56Z",
  "customer_id": "<string>",
  "external_reference": "<string>",
  "is_system_account": true,
  "created_at": "2023-11-07T05:31:56Z",
  "metadata": {},
  "recent_entries": [
    {
      "id": "<string>",
      "journal_entry_id": "<string>",
      "entry_type": "debit",
      "amount": 123,
      "description": "<string>",
      "running_balance": 123,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "active_holds": [
    {
      "id": "<string>",
      "amount": 123,
      "description": "<string>",
      "status": "<string>",
      "expires_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key (sk_test_* or sk_live_*)

Path Parameters

account_id
string
required

Response

Account details with recent entries

id
string
account_number
string
name
string
description
string
account_type
enum<string>
Available options:
asset,
liability,
equity,
revenue,
expense
normal_balance
string
status
enum<string>
Available options:
active,
frozen,
closed
currency
string
balance
integer
available_balance
integer
pending_balance
integer
balance_updated_at
string<date-time>
customer_id
string
external_reference
string
is_system_account
boolean
created_at
string<date-time>
metadata
object
recent_entries
object[]
active_holds
object[]